libghc-punycode-prof_2.0-11+b3_amd64.deb


Advertisement

Description

libghc-punycode-prof - Encode unicode strings to ascii forms according to RFC 3492; profiling libraries

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libghc-punycode-prof_2.0-11+b3_amd64.deb
Package name libghc-punycode-prof
Package version 2.0
Package release 11+b3
Package architecture amd64
Package type deb
Category haskell
Homepage https://github.com/litherum/punycode
License -
Maintainer Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Download size 45.24 KB
Installed size 302.00 KB

Alternatives

Package Version Architecture Repository
libghc-punycode-prof_2.0-11+b3_i386.deb 2.0 i386 Debian Main
libghc-punycode-prof - - -

Requires

Name Value
libghc-base-prof-4.12.0.0-a86a1 -
libghc-bytestring-prof-0.10.8.2-20f27 -
libghc-cereal-prof-0.5.8.1-bd2d7 -
libghc-mtl-prof-2.2.2-07ff1 -
libghc-punycode-dev = 2.0-11+b3
libghc-text-prof-1.2.3.1-538d8 -

Provides

Name Value
libghc-punycode-prof-2.0-11894 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libghc-punycode-prof_2.0-11+b3_amd64.deb
Source Package haskell-punycode

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libghc-punycode-prof deb package:
    # sudo apt-get install libghc-punycode-prof

Files

Path
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/punycode-2.0-9KZYeHzHLWz42OgeZDBjGZ/libHSpunycode-2.0-9KZYeHzHLWz42OgeZDBjGZ_p.a
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/punycode-2.0-9KZYeHzHLWz42OgeZDBjGZ/Data/Text/Punycode.p_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/punycode-2.0-9KZYeHzHLWz42OgeZDBjGZ/Data/Text/Punycode/Decode.p_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/punycode-2.0-9KZYeHzHLWz42OgeZDBjGZ/Data/Text/Punycode/Encode.p_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/punycode-2.0-9KZYeHzHLWz42OgeZDBjGZ/Data/Text/Punycode/Shared.p_hi
/usr/share/doc/libghc-punycode-prof/buildinfo_amd64.gz
/usr/share/doc/libghc-punycode-prof/changelog.Debian.amd64.gz
/usr/share/doc/libghc-punycode-prof/changelog.Debian.gz
/usr/share/doc/libghc-punycode-prof/copyright

Changelog

2018-10-01 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-punycode (2.0-11) unstable; urgency=medium
* Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
* Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
2018-09-30 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-punycode (2.0-10) unstable; urgency=medium
[ Clint Adams ]
* Set Rules-Requires-Root to no.
[ Ilias Tsitsimpis ]
* Bump debhelper compat level to 10
2018-04-09 - Clint Adams <clint@debian.org>
haskell-punycode (2.0-9) unstable; urgency=medium
[ Ilias Tsitsimpis ]
* Change Priority to optional. Since Debian Policy version 4.0.1,
priority extra has been deprecated.
* Use the HTTPS form of the copyright-format URL
* Modify d/watch and Source field in d/copyright to use HTTPS
* Declare compliance with Debian policy 4.1.1
* Use salsa.debian.org URLs in Vcs-{Browser,Git} fields
[ Clint Adams ]
* Bump to Standards-Version 4.1.4.
2016-10-27 - Clint Adams <clint@debian.org>
haskell-punycode (2.0-8) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
2016-10-16 - Clint Adams <clint@debian.org>
haskell-punycode (2.0-7) experimental; urgency=medium
[ Dmitry Bogatov ]
* Use secure (https) uri in Vcs-Git field in 'debian/control'
* Bump standards version to 3.9.8 (no changes needed)
[ Clint Adams ]
* Temporarily build-depend on ghc 8.
2015-12-03 - Clint Adams <clint@debian.org>
haskell-punycode (2.0-6) unstable; urgency=medium
* Switch Vcs-Git/Vcs-Browser headers to new location.
2015-08-20 - Joachim Breitner <nomeata@debian.org>
haskell-punycode (2.0-5) experimental; urgency=medium
* Bump standards-version to 3.9.6
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
2015-04-27 - Joachim Breitner <nomeata@debian.org>
haskell-punycode (2.0-4) unstable; urgency=medium
* Upload to unstable
2014-12-20 - Joachim Breitner <nomeata@debian.org>
haskell-punycode (2.0-3) experimental; urgency=low
* Adjust watch file to new hackage layout
* Depend on haskell-devscripts 0.9, found in experimental
2013-05-24 - Joachim Breitner <nomeata@debian.org>
haskell-punycode (2.0-2) unstable; urgency=low
* Enable compat level 9
* Bump standards version to 3.9.4
* Use substvars for Haskell description blurbs

See Also

Package Description
libghc-puremd5-dev_2.1.3-5+b3_amd64.deb implementation of the MD5 digest (hash) algorithm
libghc-puremd5-doc_2.1.3-5_all.deb implementation of the MD5 digest (hash) algorithm; documentation
libghc-puremd5-prof_2.1.3-5+b3_amd64.deb implementation of the MD5 digest (hash) algorithm; profiling libraries
libghc-pwstore-fast-dev_2.4.4-9+b2_amd64.deb secure password storage
libghc-pwstore-fast-doc_2.4.4-9_all.deb secure password storage; documentation
libghc-pwstore-fast-prof_2.4.4-9+b2_amd64.deb secure password storage; profiling libraries
libghc-qrencode-dev_1.0.4-10+b3_amd64.deb Haskell bindings for libqrencode
libghc-qrencode-doc_1.0.4-10_all.deb Haskell bindings for libqrencode; documentation
libghc-qrencode-prof_1.0.4-10+b3_amd64.deb Haskell bindings for libqrencode; profiling libraries
libghc-quickcheck-instances-dev_0.3.19-2+b2_amd64.deb common QuickCheck instances
libghc-quickcheck-instances-doc_0.3.19-2_all.deb common QuickCheck instances; documentation
libghc-quickcheck-instances-prof_0.3.19-2+b2_amd64.deb common QuickCheck instances; profiling libraries
libghc-quickcheck-io-dev_0.2.0-3+b3_amd64.deb use HUnit assertions as QuickCheck properties
libghc-quickcheck-io-doc_0.2.0-3_all.deb use HUnit assertions as QuickCheck properties; documentation
libghc-quickcheck-io-prof_0.2.0-3+b3_amd64.deb use HUnit assertions as QuickCheck properties; profiling libraries
Advertisement
Advertisement